
QGIS Application - Bug report #18331

"Node Tool" just "sees" everything on canvas even in hidden layers

2018-03-04 08:52 PM - sand thorn

Status: Closed

Priority: Normal

Assignee:

Category: Editing

Affected QGIS version:3.4.2 Regression?: No

Operating System: Windows 10 64-bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 26221

Description

Step to reproduce:

1. click editing toggle

2. click node tool

3. drag mouse around canvas, you can see even shapes in hidden layers.

Shouldn't "Node Tool" at least "obbey" project snapping configuration?

History

#1 - 2018-03-04 10:03 PM - will skora

Thanks for your note; I believe this is a duplicate of #18331

#2 - 2018-11-15 10:23 AM - Bernhard Ströbl

- Status changed from Open to Feedback

Is this still valid in the current version, i.e. QGIS 3.4?

#3 - 2018-11-19 12:25 PM - sand thorn

Version: 3.4.1

Platform: Windows 10 x64

The symtoms still there. Node tool still sees everything when cursor is near-by the shape in hidden layers

#4 - 2018-11-19 12:54 PM - Bernhard Ströbl

Hmm, I cannot reproduce this here (QGIS 3.4.1 on Ubuntu). Could you make a film that shows the error?

#5 - 2018-11-19 04:17 PM - sand thorn

- File hidden_is_visible.mp4 added

When node-tool enabled, when cursor moves near lines of other hidden layers, it shows that shape.
#6 - 2018-11-19 04:33 PM - Giovanni Manghi

- Affected QGIS version changed from 3.0.0 to 3.4.1

sand thorn wrote:

Version: 3.4.1

Platform: Windows 10 x64

The symtoms still there. Node tool still sees everything when cursor is near-by the shape in hidden layers

settings > options > digitizing > enable snapping on invisible features... ?

#7 - 2018-11-19 04:45 PM - Bernhard Ströbl

- Affected QGIS version changed from 3.4.1 to 3.0.0

weird, I don't even get the features of another layer highlighted if the layer is visible (and not editable), tested 3.4.1 on Ubuntu and master on Win7 (64 bit)

@Giovanni: the snap settings do not matter either

#8 - 2018-11-19 04:45 PM - Bernhard Ströbl

- Affected QGIS version changed from 3.0.0 to 3.4.1

#9 - 2018-11-21 12:44 PM - Burghardt Scholle

I can only consciously produce this behavior if I activate the options "Enable snapping by default" and "Enable snapping on invisible featrures ..." under

"Settings -> Options -> Digitizing" (tested on Win 7, 3.4.1 and master).

#10 - 2018-11-23 06:32 PM - sand thorn

Burghardt Scholle wrote:

I can only consciously produce this behavior if I activate the options "Enable snapping by default" and "Enable snapping on invisible featrures ..."

under "Settings -> Options -> Digitizing" (tested on Win 7, 3.4.1 and master).

That's weird. Even when those two settings are off both--"the red magnet" and snapping on invisible..., I still am seeing hidden layers! when using node

tools.

I can even edit nodes in invisible layers that enable editing.

Another weird thing is that I can snap the node of invisible layers with the shown layers but not vice versa. In other words, while moving current layer's node

around, I don't see invisible layer anymore.

With "Add Polygon" tool, I see no invisible layers, even when those two settings are on and with "Snap All Layers".

Platform: Windows 10 x64 1809

Version: 3.4.1 Release x64
#11 - 2018-12-03 08:51 AM - sand thorn

Still to be reproduced in 3.4.2

Version: 3.4.2

Arch: x86_64

Platform: Windows 10 64-bit

It seems that 

1. "Vortex Tool (Current Layer)" behaves like "Vortex Tool (All Layers)" 

When cross hair is near a shape in invisible layer, you will see that shape "pop-up" to scene and you can edit invisible layer if it is in editable mode.

2. Configuration / Digitizing / Snapping / Snap invisible shapes seems not working.

#12 - 2018-12-05 05:29 PM - Giovanni Manghi

- Affected QGIS version changed from 3.4.1 to 3.4.2

#13 - 2019-03-09 11:12 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

This should be fixed in the latest releases, please reopen if necessary.

Files

hidden_is_visible.mp4 1.47 MB 2018-11-19 sand thorn
